package com.apobates.forum.thrones.admin.controller.form;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 *
 * @author xiaofanku
 * @since 20200614
 */
public class TopicCarouselForm extends ActionForm {
    @NotBlank(message="{NotBlank.TopicCarouselForm.title}")
    @Pattern(regexp = "^[A-Za-z0-9]+$", message="{Pattern.TopicCarouselForm.title}")
    private String title;
    @NotBlank(message="{NotBlank.TopicCarouselForm.summary}")
    private String summary;
    
    public String getTitle() {
        return title;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }
    
    public String getSummary() {
        return summary;
    }
    
    public void setSummary(String summary) {
        this.summary = summary;
    }
}